For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LearnGraph LoginRequest a Demo
HomeAPIBulk DataSayari LibraryChange Log
  • Key Concepts
    • Introduction
    • Endpoint Overview
    • Authentication
    • Requests
    • Pagination
    • Response Status Codes
    • Data Types
    • Rate Limits
  • API Clients
    • Overview
    • Open API
    • Postman
    • Go
    • Python
    • Node
  • API Reference
      • POSTGet Token
  • Guides
    • Getting Started
    • Understanding Project Entity
    • Risk Factors
    • Entity Search
    • Advanced Entity Search
    • Resolution
    • Trade Search - Shipments
    • Trade Search - Suppliers & Buyers
    • v0 Migration
  • Implementation Patterns
    • Project Entity Supply Chain
  • Use Cases
    • Entity Screening & Verification
    • Investigations
LogoLogo
LearnGraph LoginRequest a Demo
API ReferenceAuth

Get Token

GA
POST
/oauth/token
POST
/oauth/token
$curl -X POST https://api.sayari.com/oauth/token \
> -H "Content-Type: application/json" \
> -d '{
> "client_id": "your client_id here",
> "client_secret": "your client_secret here",
> "audience": "sayari.com",
> "grant_type": "client_credentials"
>}'
1{
2 "access_token": "sk_test_4eC39HqLyjWDarjtT1zdp7dc",
3 "expires_in": 86400,
4 "token_type": "Bearer"
5}
Hit the auth endpoint to get a bearer token
Was this page helpful?
Previous

Get Ontology

Next
Built with

Request

This endpoint expects an object.
client_idstringRequired
client_secretstringRequired
audience"sayari.com"Required
grant_type"client_credentials"Required

Response

OK
access_tokenstring
The bearer token you will pass in to subsequent API calls to authenticate.
expires_ininteger

Tells you how long (in seconds) until your bearer token expires.

token_typestring
Will always be "Bearer"

Errors

400
Bad Request
401
Unauthorized
500
Internal Server Error